Soporte de Ruby (Linux)

Vea el tutorial en vídeo (EN)

Plesk para Linux le permite desplegar aplicaciones web Ruby en sus sitios web. Plesk soporta todas las aplicaciones web Ruby que utilizan el interfaz Rack (http://rack.github.io/), incluyendo las aplicaciones web creadas en los frameworks Ruby más populares, como por ejemplo Ruby on Rails (http://rubyonrails.org/) o Sinatra (http://www.sinatrarb.com/).

Cuando carga una aplicación Ruby al directorio de su dominio y activa el soporte de Ruby en el dominio, Plesk detecta y registra la aplicación. Entonces puede instalar todos los gems necesarios (paquetes de código Ruby) usando Bundler - la utilidad que permite instalar y realizar el seguimiento de las versiones específicas de gems requeridas por la aplicación, añadir variables de entorno, editar archivos de configuración y reiniciar la aplicación. Si desea más información al respecto, visite http://bundler.io/). Para más información, consulte Gestión de aplicaciones Ruby.

Asimismo, puede gestionar versiones de Ruby mediante el CLI y ejecutar tareas de Rake.

Para poder utilizar esta prestación es imprescindible cumplir los siguientes requisitos:

  1. En Plesk debe haberse instalado la extensión Ruby. La extensión instala dos componentes de forma automática: soporte de Ruby y servidor Phusion Passenger. Phusion Passenger es un servidor de aplicaciones que le permite cargar aplicaciones y servir las peticiones que lleguen a esta lo antes posible. Este se instala como módulo del servidor web nginx o Apache. Encontrará más información en https://en.wikipedia.org/wiki/Phusion_Passenger.
  2. Las  aplicaciones Ruby complejas - como puede ser el caso de aquellas aplicaciones basadas en el framework Ruby on Rails - suelen requerir efectuar una compilación durante la instalación de gems. Para instalar estos gems fácilmente, instale el componente especial Herramientas requeridas para la creación de gems Ruby. Si desea más información al respecto, consulte Adición y eliminación de componentes de Plesk. Este componente proporciona las librerías de desarrollo requeridas para la compilación de los Ruby gems más populares, lo que garantiza que Bundler puede instalar gems de forma correcta.
  3. Un dominio debería disponer de un plan de servicios que conceda el permiso Gestión del soporte de Ruby.

En este capítulo:

Gestión de aplicaciones Ruby

Gestión de versiones de Ruby mediante CLI

Ejecución de tareas de Rake

 

Leave your feedback on this topic here

If you have questions or need support, please visit the Plesk forum or contact your hosting provider.
The comments below are for feedback on the documentation only. No timely answers or help will be provided.